# $Revision: 1.21 $, $Date: 2009/02/27 01:10:58 $
# TODO:
# - init script
# - test everything
Summary:	Next generation boot splashing system
Summary(pl.UTF-8):	System ekranu startowego nowej generacji
Name:		splashy
Version:	0.3.13
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://alioth.debian.org/frs/download.php/2691/%{name}_%{version}.tar.gz
# Source0-md5:	03b7ee4f31c56ee61463772f74bad8a0
URL:		http://splashy.alioth.debian.org/
BuildRequires:	DirectFB-devel >= 0.9.22
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libmagic-devel
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	splashy-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Splashy is a next generation boot splashing system for Linux systems.
Unlike other splashing systems, it needs no patches to the kernel and
it's installed like a normal package. Make your boot process eye-candy
with Splashy!

Some of Splash's most noticable features include:
- Require zero kernel patches/full functionality in user-space
- Boot/halt/reboot/runlevel-switch support
- Progressbar support (with optional border)
- Verbose mode (with F2/ESC keys)
- Configuration file in XML
- Cope with any video-mode resolution/size
- Cope with 8, 16, and 24 bit framebuffers
- Alpha channel (transparency) support
- Video mode detection
- Initramfs support
- TrueType2 fonts support
- Lots of image/animation file formats supported: jpg, png, gif, mpg,
  swf
- Low dependencies and code in C to best perform
- Full LSB support
- Multiple themes support
- Really easy to create new themes
- X detection on exit
- Smooth progressbar movement
- Animations support
- Fade in/out effects
- Totally configurable

%description -l pl.UTF-8
Splashy to system ekranu startowego nowej generacji dla Linuksa. W
przeciwieństwie do innych takich systemów nie wymaga łatania jądra i
jest instalowany jako zwykły pakiet. Pozwala upiększyć proces
uruchamiania systemu.

Najbardziej widoczne możliwości pakietu Splashy to:
- brak potrzeby łatania jądra, pełna funkcjonalność w przestrzeni
  użytkownika
- obsługa uruchamiania/wyłączania/restartowania komputera oraz wyboru
  poziomu (runlevelu)
- obsługa paska postępu (z opcjonalną ramką)
- tryb szczegółowy (z obsługą klawiszy F2/ESC)
- plik konfiguracyjny w formacie XML
- działanie z dowolną rozdzielczością/rozmiarem trybu graficznego
- działanie z framebufferami 8-, 16- i 24-bitowymi
- obsługa kanału alpha (przezroczystości)
- obsługa initramfs
- obsługa fontów TrueType
- obsługa wielu formatów obrazów/animacji: jpg, png, gif, mpg, swf
- małe zależności i kod w C dla najlepszej wydajności
- pełna obsługa LSB
- obsługa wielu motywów
- naprawdę łatwe tworzenie nowych motywów
- wykrywanie X przy kończeniu pracy
- płynne przesuwanie paska postępu
- obsługa animacji
- efekty fade in/fade out
- pełna konfigurowalność

%package libs
Summary:	Splashy libraries
Summary(pl.UTF-8):	Biblioteki Splashy
Group:		Libraries

%description libs
Splashy libraries.

%description libs -l pl.UTF-8
Biblioteki Splashy.

%package devel
Summary:	Header files for Splashy libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Splashy
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Splashy libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Splashy.

%package theme-default
Summary:	Default theme for splashy
Summary(pl.UTF-8):	Domyślny motyw dla systemu splashy
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Provides:	splashy-theme

%description theme-default
Default theme for splashy.

%description theme-default -l pl.UTF-8
Domyślny motyw dla systemu splashy.

%package initramfs
Summary:	Splashy support scripts for initramfs-tools
Summary(pl.UTF-8):	Skrypty dla initramfs-tools ze wsparciem dla systemu splashy
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	initramfs-tools

%description initramfs
Splashy support scripts for initramfs-tools.

%description initramfs -l pl.UTF-8
Skrypty dla initramfs-tools ze wsparciem dla systemu splashy.

%prep
%setup -q
sed -i -e 's#-Werror##g' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/splashy
%{_mandir}/man?/*
%dir %{_sysconfdir}/splashy
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/splashy/*.xml
%dir %{_sysconfdir}/splashy/themes

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsplashy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsplashy.so.1
%attr(755,root,root) %{_libdir}/libsplashycnf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsplashycnf.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsplashy.so
%attr(755,root,root) %{_libdir}/libsplashycnf.so
%{_libdir}/libsplashy.la
%{_libdir}/libsplashycnf.la
%{_includedir}/splashy*.h
%{_pkgconfigdir}/splashy.pc

%files theme-default
%defattr(644,root,root,755)
%{_datadir}/splashy/themes/default

%files initramfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/initramfs-tools/hooks/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-bottom/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/local-premount/*
%{_datadir}/initramfs-tools/modules.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: splashy.spec,v $
Revision 1.21  2009/02/27 01:10:58  baggins
- rel 2
- package properly initramfs-tools stuff and move it to separate package

Revision 1.20  2009/01/19 09:39:35  duddits
- BR: gettext-devel
- %build

Revision 1.19  2009/01/12 19:40:05  qboosh
- updated BRs (no all-static in default makefiles)
- ghost soname symlinks

Revision 1.18  2009/01/11 13:02:01  duddits
- up to 0.3.13
- some tune-ups in %files
- patches dropped
- themes dir updated

Revision 1.17  2008/10/17 21:11:27  megabajt
- release 4

Revision 1.16  2008/06/19 22:41:12  qboosh
- pl for -theme-default
- BR sed 4

Revision 1.15  2008-04-11 14:57:54  qboosh
- BR: libtool

Revision 1.14  2008-04-11 11:49:46  tommat
- more generic lib64 fix

Revision 1.13  2007-12-25 23:17:19  glen
- rel 3

Revision 1.12  2007-11-19 19:44:03  glen
- restored lost -libs

Revision 1.11  2007-11-19 19:39:21  glen
- Provides/Requires splashy-theme

Revision 1.10  2007-11-19 19:37:03  glen
- separated default theme

Revision 1.9  2007-08-30 15:30:18  shadzik
- R: splashy-list? WTF!? changed into R: splashy-libs
- rel 2

Revision 1.8  2007/08/30 14:26:10  shadzik
- force one job at a time (i686 fails when multijobbing)

Revision 1.7  2007/08/30 14:21:39  shadzik
- 0.3.5
- add -lib64.patch

Revision 1.6  2007/06/03 13:40:17  qboosh
- base R: -libs

Revision 1.5  2007/05/25 09:45:45  beorn
- BR: libmagic-devel

Revision 1.4  2007/05/25 09:43:26  beorn
- BR: perl-tools-pod

Revision 1.3  2007/05/25 06:34:50  qboosh
- pl

Revision 1.2  2007/05/19 23:38:05  vip
- missing BR: glib2-static

Revision 1.1  2007/05/19 23:07:17  arekm
- initial
